#define ZACIATOK17 152.4
#define KONIEC17   160.0
#define CFGNAME17 "data\\cfg\\twirl.cfg"

#define tew_x 150
#define tew_y 100

   struct twirl
     {
     float c1x,c1y; //stred 1
     float c2x,c2y; //stred 2
     float hmuch; //intenzita 
     float posx[tew_x][tew_y]; //povodna pozicia 
     float posy[tew_x][tew_y]; 
     float newx[tew_x][tew_y]; //stocena pozicia
     float newy[tew_x][tew_y];
     float texx[tew_x][tew_y]; //texture coords
     float texy[tew_x][tew_y];
     };


class efekt_17 : public EFEKT
{
public:
   int  go(double t);
   int  init();
   int  load();
   int  free();
   int  update();

  // -> premenne efektu

   int tw_x;
   int tw_y;
   
   int  mode1;
   int  mode2;
   float polomer;
   float otocenie;
   char tex_name[30];   
   
   twirl tw;
   Texture3DS *tex;

   float cntr;
   float clr;
  // <- 
 
};
